# `PETSc_jll.jl` (v3.16.5+2)

[![deps](https://juliahub.com/docs/PETSc_jll/deps.svg)](https://juliahub.com/ui/Packages/PETSc_jll/dVpqm?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/057cc14c94c0e82e830703b42d2a0f309309fda8/P/PETSc/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.")

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `PETSc_jll.jl` have been built from these sources:

* compressed archive: https://www.mcs.anl.gov/petsc/mirror/release-snapshots/petsc-3.16.5.tar.gz (SHA256 checksum: `7de8570eeb94062752d82a83208fc2bafc77b3f515023a4c14d8ff9440e66cac`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/057cc14c94c0e82e830703b42d2a0f309309fda8/P/PETSc/bundled)

## Platforms

`PETSc_jll.jl` is available for the following platforms:

* `macOS aarch64 {libgfortran_version=5.0.0}` (`aarch64-apple-darwin-libgfortran5`)
* `Linux aarch64 {libc=glibc, libgfortran_version=3.0.0}` (`aarch64-linux-gnu-libgfortran3`)
* `Linux aarch64 {libc=glibc, libgfortran_version=4.0.0}` (`aarch64-linux-gnu-libgfortran4`)
* `Linux aarch64 {libc=glibc, libgfortran_version=5.0.0}` (`aarch64-linux-gnu-libgfortran5`)
* `Linux aarch64 {libc=musl, libgfortran_version=3.0.0}` (`aarch64-linux-musl-libgfortran3`)
* `Linux aarch64 {libc=musl, libgfortran_version=4.0.0}` (`aarch64-linux-musl-libgfortran4`)
* `Linux aarch64 {libc=musl, libgfortran_version=5.0.0}` (`aarch64-linux-musl-libgfortran5`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=3.0.0}` (`armv6l-linux-gnueabihf-libgfortran3`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=4.0.0}` (`armv6l-linux-gnueabihf-libgfortran4`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=5.0.0}` (`armv6l-linux-gnueabihf-libgfortran5`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0}` (`armv6l-linux-musleabihf-libgfortran3`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0}` (`armv6l-linux-musleabihf-libgfortran4`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0}` (`armv6l-linux-musleabihf-libgfortran5`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=3.0.0}` (`armv7l-linux-gnueabihf-libgfortran3`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=4.0.0}` (`armv7l-linux-gnueabihf-libgfortran4`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=5.0.0}` (`armv7l-linux-gnueabihf-libgfortran5`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0}` (`armv7l-linux-musleabihf-libgfortran3`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0}` (`armv7l-linux-musleabihf-libgfortran4`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0}` (`armv7l-linux-musleabihf-libgfortran5`)
* `Linux i686 {libc=glibc, libgfortran_version=3.0.0}` (`i686-linux-gnu-libgfortran3`)
* `Linux i686 {libc=glibc, libgfortran_version=4.0.0}` (`i686-linux-gnu-libgfortran4`)
* `Linux i686 {libc=glibc, libgfortran_version=5.0.0}` (`i686-linux-gnu-libgfortran5`)
* `Linux i686 {libc=musl, libgfortran_version=3.0.0}` (`i686-linux-musl-libgfortran3`)
* `Linux i686 {libc=musl, libgfortran_version=4.0.0}` (`i686-linux-musl-libgfortran4`)
* `Linux i686 {libc=musl, libgfortran_version=5.0.0}` (`i686-linux-musl-libgfortran5`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=3.0.0}` (`powerpc64le-linux-gnu-libgfortran3`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=4.0.0}` (`powerpc64le-linux-gnu-libgfortran4`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=5.0.0}` (`powerpc64le-linux-gnu-libgfortran5`)
* `macOS x86_64 {libgfortran_version=3.0.0}` (`x86_64-apple-darwin-libgfortran3`)
* `macOS x86_64 {libgfortran_version=4.0.0}` (`x86_64-apple-darwin-libgfortran4`)
* `macOS x86_64 {libgfortran_version=5.0.0}` (`x86_64-apple-darwin-libgfortran5`)
* `Linux x86_64 {libc=glibc, libgfortran_version=3.0.0}` (`x86_64-linux-gnu-libgfortran3`)
* `Linux x86_64 {libc=glibc, libgfortran_version=4.0.0}` (`x86_64-linux-gnu-libgfortran4`)
* `Linux x86_64 {libc=glibc, libgfortran_version=5.0.0}` (`x86_64-linux-gnu-libgfortran5`)
* `Linux x86_64 {libc=musl, libgfortran_version=3.0.0}` (`x86_64-linux-musl-libgfortran3`)
* `Linux x86_64 {libc=musl, libgfortran_version=4.0.0}` (`x86_64-linux-musl-libgfortran4`)
* `Linux x86_64 {libc=musl, libgfortran_version=5.0.0}` (`x86_64-linux-musl-libgfortran5`)
* `FreeBSD x86_64 {libgfortran_version=3.0.0}` (`x86_64-unknown-freebsd-libgfortran3`)
* `FreeBSD x86_64 {libgfortran_version=4.0.0}` (`x86_64-unknown-freebsd-libgfortran4`)
* `FreeBSD x86_64 {libgfortran_version=5.0.0}` (`x86_64-unknown-freebsd-libgfortran5`)
* `Windows x86_64 {libgfortran_version=3.0.0}` (`x86_64-w64-mingw32-libgfortran3`)
* `Windows x86_64 {libgfortran_version=4.0.0}` (`x86_64-w64-mingw32-libgfortran4`)
* `Windows x86_64 {libgfortran_version=5.0.0}` (`x86_64-w64-mingw32-libgfortran5`)

## Dependencies

The following JLL packages are required by `PETSc_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`MPICH_jll`](https://github.com/JuliaBinaryWrappers/MPICH_jll.jl)
* [`MicrosoftMPI_jll`](https://github.com/JuliaBinaryWrappers/MicrosoftMPI_jll.jl)
* [`OpenBLAS32_jll`](https://github.com/JuliaBinaryWrappers/OpenBLAS32_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libpetsc`
* `LibraryProduct`: `libpetsc_Float32_Complex_Int32`
* `LibraryProduct`: `libpetsc_Float32_Complex_Int64`
* `LibraryProduct`: `libpetsc_Float32_Real_Int32`
* `LibraryProduct`: `libpetsc_Float32_Real_Int64`
* `LibraryProduct`: `libpetsc_Float64_Complex_Int32`
* `LibraryProduct`: `libpetsc_Float64_Complex_Int64`
* `LibraryProduct`: `libpetsc_Float64_Real_Int32`
* `LibraryProduct`: `libpetsc_Float64_Real_Int64`
